import request from '@/utils/request'

export function addMail(gameid, data) {
  return request({
    url: '/mail/add?gameid=' + gameid,
    method: 'post',
    data
  })
}

export function getMailList(gameid, cursor, pagesize, data) {
  return request({
    url: '/mail/list?gameid=' + gameid + '&cursor=' + cursor + '&pagesize=' + pagesize,
    method: 'post',
    data
  })
}

export function updateEmail(gameid, data) {
  return request({
    url: '/mail/edit?gameid=' + gameid,
    method: 'post',
    data
  })
}

export function delMail(gameid, mailid) {
  return request({
    url: '/mail/del/' + mailid + '/?gameid=' + gameid,
    method: 'get'
  })
}
